CMSIS-DSP: arm_atan2_f16.c File Reference

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
arm_atan2_f16.c File Reference

## Macros

#define | PIF16
#define | PI16HALF
#define | ATANHALFF16
#define | ATAN2_NB_COEFS_F16

## Functions

__STATIC_FORCEINLINE float16_t | arm_atan_limited_f16 (float16_t x)
__STATIC_FORCEINLINE float16_t | arm_atan_f16 (float16_t x)
arm_status | arm_atan2_f16 (float16_t y, float16_t x, float16_t *result)
| Arc Tangent of y/x using sign of y and x to get right quadrant. More...

## Macro Definition Documentation

#define ATAN2_NB_COEFS_F16

#define ATANHALFF16

#define PI16HALF

#define PIF16

## Function Documentation

__STATIC_FORCEINLINE float16_t arm_atan_f16 | ( | float16_t | x | ) |

__STATIC_FORCEINLINE float16_t arm_atan_limited_f16 | ( | float16_t | x | ) |